# Blueprints

## List Blueprints

> Retrieves a paginated list of blueprints.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints":{"get":{"summary":"List Blueprints","description":"Retrieves a paginated list of blueprints.","tags":["Blueprints"],"parameters":[{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"filter[,]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by ,."},{"name":"filter[intval]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by intval."},{"name":"filter[labelTemplates]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by labelTemplates."},{"name":"filter[label_templates.id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label_templates.id."},{"name":"sort","in":"query","required":false,"schema":{"type":"string"},"description":"Sort field. Prefix with - for descending. Available: created_at, updated_at, name"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Create Blueprint

> Creates a new blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/patchworks/blueprints":{"post":{"summary":"Create Blueprint","description":"Creates a new blueprint.","tags":["Blueprints"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"parameters":[]}}}}
```

## Get Blueprint

> Retrieves the details of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}":{"get":{"summary":"Get Blueprint","description":"Retrieves the details of a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"filter[,]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by ,."},{"name":"filter[intval]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by intval."},{"name":"filter[labelTemplates]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by labelTemplates."},{"name":"filter[label_templates.id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label_templates.id."},{"name":"sort","in":"query","required":false,"schema":{"type":"string"},"description":"Sort field. Prefix with - for descending. Available: created_at, updated_at, name"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Update Blueprint

> Updates an existing blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}":{"put":{"summary":"Update Blueprint","description":"Updates an existing blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Delete Blueprint

> Permanently deletes a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}":{"delete":{"summary":"Delete Blueprint","description":"Permanently deletes a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Get Unpublished

> Retrieves blueprints that have not yet been published.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/unpublished":{"get":{"summary":"Get Unpublished","description":"Retrieves blueprints that have not yet been published.","tags":["Blueprints"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"parameters":[]}}}}
```

## Get Post Install Options

> Retrieves the available post-install action options for blueprints.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/post-install-options":{"get":{"summary":"Get Post Install Options","description":"Retrieves the available post-install action options for blueprints.","tags":["Blueprints"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"parameters":[]}}}}
```

## Install Blueprint

> Installs the active version of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"BlueprintsInstallActiveInstallRequest":{"type":"object","properties":{"flow_template_ids":{"type":"string"},"instances":{"type":"string"},"post_install":{"type":"string","properties":{"action":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/install":{"post":{"summary":"Install Blueprint","description":"Installs the active version of a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsInstallActiveInstallRequest"}}}},"tags":["Blueprints"]}}}}
```

## Install Blueprint Version

> Installs a specific version of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"BlueprintsInstallInstallRequest":{"type":"object","properties":{"flow_template_ids":{"type":"string"},"instances":{"type":"string"},"post_install":{"type":"string","properties":{"action":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/versions/{version}/install":{"post":{"summary":"Install Blueprint Version","description":"Installs a specific version of a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"version","in":"path","required":true,"schema":{"type":"string"},"description":"The version identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsInstallInstallRequest"}}}},"tags":["Blueprints"]}}}}
```

## Install Blueprint

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/install":{"get":{"summary":"Install Blueprint","description":"To be confirmed.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## List Blueprint Installs

> Retrieves a paginated list of installs for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs":{"get":{"summary":"List Blueprint Installs","description":"Retrieves a paginated list of installs for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## List Blueprint Bulk Installs

> Retrieves a paginated list of bulk install batches for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk":{"get":{"summary":"List Blueprint Bulk Installs","description":"Retrieves a paginated list of bulk install batches for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Create Blueprint Bulk Install

> Creates a new bulk install batch for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk":{"post":{"summary":"Create Blueprint Bulk Install","description":"Creates a new bulk install batch for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get Blueprint Bulk Install Batch

> Retrieves the details of a specific bulk install batch.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}":{"get":{"summary":"Get Blueprint Bulk Install Batch","description":"Retrieves the details of a specific bulk install batch.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Cancel Blueprint Install Bulk

> Cancels a specific in-progress bulk install batch.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/cancel":{"post":{"summary":"Cancel Blueprint Install Bulk","description":"Cancels a specific in-progress bulk install batch.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## List Blueprint Bulk Install Batch Items

> Retrieves a paginated list of items for a specific bulk install batch.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items":{"get":{"summary":"List Blueprint Bulk Install Batch Items","description":"Retrieves a paginated list of items for a specific bulk install batch.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Get Blueprint Bulk Install Batch Item

> Retrieves the details of a specific bulk install batch item.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/installs/bulk/{batch}/items/{item}":{"get":{"summary":"Get Blueprint Bulk Install Batch Item","description":"Retrieves the details of a specific bulk install batch item.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"batch","in":"path","required":true,"schema":{"type":"string"},"description":"The batch identifier."},{"name":"item","in":"path","required":true,"schema":{"type":"string"},"description":"The item identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## List Blueprint Versions

> Retrieves a paginated list of versions for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions":{"get":{"summary":"List Blueprint Versions","description":"Retrieves a paginated list of versions for a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Get Active Blueprint Version

> Retrieves the currently active version of a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions/active":{"get":{"summary":"Get Active Blueprint Version","description":"Retrieves the currently active version of a specific blueprint.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Get Blueprint Version

> Retrieves the details of a specific blueprint version.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions/{version}":{"get":{"summary":"Get Blueprint Version","description":"Retrieves the details of a specific blueprint version.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"version","in":"path","required":true,"schema":{"type":"string"},"description":"The version identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Delete Blueprint Version

> Permanently deletes a specific blueprint version.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions/{version}":{"delete":{"summary":"Delete Blueprint Version","description":"Permanently deletes a specific blueprint version.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"version","in":"path","required":true,"schema":{"type":"string"},"description":"The version identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}}}}}}
```

## Activate Blueprint Version

> Sets a specific blueprint version as the active version.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/patchworks/blueprints/{blueprint}/versions/{version}/activate":{"post":{"summary":"Activate Blueprint Version","description":"Sets a specific blueprint version as the active version.","tags":["Blueprints"],"parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."},{"name":"version","in":"path","required":true,"schema":{"type":"string"},"description":"The version identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get Blueprint Draft

> Retrieves the draft manifest for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Blueprints"}}},"Blueprints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"help_guide":{"type":"string"},"versionable":{"type":"string"},"active_marketplace_app_id":{"type":"integer"},"marketplace_company_id":{"type":"integer"},"public_company_id":{"type":"integer"},"marketplace_apps_count":{"type":"integer"},"update_available":{"type":"string"},"post_install_defaults":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"type":"object"}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/draft":{"get":{"summary":"Get Blueprint Draft","description":"Retrieves the draft manifest for a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Blueprints"]}}}}
```

## Create Blueprint Draft

> Creates a new draft manifest for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Blueprints"}}},"Blueprints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"help_guide":{"type":"string"},"versionable":{"type":"string"},"active_marketplace_app_id":{"type":"integer"},"marketplace_company_id":{"type":"integer"},"public_company_id":{"type":"integer"},"marketplace_apps_count":{"type":"integer"},"update_available":{"type":"string"},"post_install_defaults":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"type":"object"}}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/draft":{"post":{"summary":"Create Blueprint Draft","description":"Creates a new draft manifest for a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Blueprints"]}}}}
```

## Delete Blueprint Draft

> Permanently deletes the draft manifest for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/blueprints/{blueprint}/draft":{"delete":{"summary":"Delete Blueprint Draft","description":"Permanently deletes the draft manifest for a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Blueprints"]}}}}
```

## Update Blueprint Draft

> Updates the draft manifest for a specific blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"BlueprintsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Blueprints"}}},"Blueprints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"help_guide":{"type":"string"},"versionable":{"type":"string"},"active_marketplace_app_id":{"type":"integer"},"marketplace_company_id":{"type":"integer"},"public_company_id":{"type":"integer"},"marketplace_apps_count":{"type":"integer"},"update_available":{"type":"string"},"post_install_defaults":{"type":"array","items":{"type":"object"}},"labels":{"type":"array","items":{"type":"object"}}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/draft":{"patch":{"summary":"Update Blueprint Draft","description":"Updates the draft manifest for a specific blueprint.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlueprintsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Blueprints"]}}}}
```

## Check Blueprint Draft

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/blueprints/{blueprint}/draft/check":{"get":{"summary":"Check Blueprint Draft","description":"To be confirmed.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Blueprints"]}}}}
```

## Publish Blueprint Draft

> Publishes the draft manifest for a specific blueprint, creating a new version.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/draft/publish":{"post":{"summary":"Publish Blueprint Draft","description":"Publishes the draft manifest for a specific blueprint, creating a new version.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Blueprints"]}}}}
```

## Reset Blueprint Draft

> Resets the draft manifest for a specific blueprint to match the current active version.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Blueprints"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/blueprints/{blueprint}/draft/reset":{"post":{"summary":"Reset Blueprint Draft","description":"Resets the draft manifest for a specific blueprint to match the current active version.","parameters":[{"name":"blueprint","in":"path","required":true,"schema":{"type":"string"},"description":"The blueprint identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Blueprints"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.wearepatchworks.com/product-documentation/api-reference/marketplace/blueprints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
